### Method

# GtkSource Buffer set_highlight_syntax

#### Declaration [src]

    void
    gtk_source_buffer_set_highlight_syntax (
      GtkSourceBuffer* buffer,
      gboolean highlight
    )

#### Description [src]

Controls whether syntax is highlighted in the buffer.

If `highlight` is `TRUE`, the text will be highlighted according to the syntax patterns specified in the `GtkSourceLanguage` set with `gtk_source_buffer_set_language()`.

If `highlight` is `FALSE`, syntax highlighting is disabled and all the `GtkTextTag` objects that have been added by the syntax highlighting engine are removed from the buffer.

Sets property | `GtkSource.Buffer:highlight-syntax`

#### Parameters

`highlight`

  Type: `gboolean`

  `TRUE` to enable syntax highlighting, `FALSE` to disable it.